Subject: Re: [PATCH 0/3] Update WPEWebkit to 2.34.3

From: Leo Famulari <[email-masked]>
Date: Sun, 16 Jan 2022 13:30:35 -0500

On Sun, Jan 16, 2022 at 08:36:45AM +0100, Liliana Marie Prikler wrote:
> Hi Leo, hi Guix,
> 
> the following patches update libwpe and wpebackend-fdo to 1.12.0 and
> wpewebkit to 2.34.3.  I checked that all three of them build, but I so
> far haven't
> 1. done a libsoup-minimal-2 variant -- there's no dependents of
>    wpewebkit yet, so it's somewhat pointless.
> 2. checked whether the AVX patches from WebkitGTK need to be carried
>    over, or
> 3. tested how this impacts our WebkitGTK builds.
> 
> I'd appreciate if someone could help me out here, because Webkit builds
> have a high chance of killing whatever else is running on my machine at
> the moment -- or my machine if that fails.

Thanks, I'm testing the build of WebKitGtk now.

I noticed that GTK 4 depends on wpebackend-fdo. For now, we can change
GTK 4 on the master branch, but eventually wpebackend-fdo will be a
package that requires grafting to keep up to date.